Skip to main content
GET
/
v1
/
metric
/
collection-jobs
/
{jobId}
JavaScript
import Roark from '@roarkanalytics/sdk';

const client = new Roark({
  bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});

const response = await client.metricCollectionJob.getByID('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');

console.log(response.data);
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "PENDING",
    "triggeredBy": "USER_MANUAL",
    "totalItems": 123,
    "completedItems": 123,
    "failedItems": 123,
    "startedAt": "<string>",
    "completedAt": "<string>",
    "errorMessage": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

jobId
string<uuid>
required

The ID of the metric collection job to retrieve

Response

The requested metric collection job

data
object
required

A metric collection job that processes metrics for calls